DynamicJava Javadoc: Class InnerClassesEntry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classfile
Class InnerClassesEntry

    java.lang.Object
      |
      +--koala.dynamicjava.classfile.InnerClassesEntry

public class InnerClassesEntry
extends java.lang.Object

This class represents an innerclasses entry in an innerclasses attribute

See Also:
  `InnerClassesAttribute`

Constructor Summary
`InnerClassesEntry(ConstantPool cp)` Creates a new entry

Method Summary
`void` | `setInnerClassAccessFlags(short af)`
`void` | `setInnerClassInfo(java.lang.String cname)` Sets the inner class info
`void` | `setInnerName(java.lang.String name)` Sets the inner class name
`void` | `setOuterClassInfo(java.lang.String cname)` Sets the outer class info
`void` | `write(java.io.DataOutputStream out)` Writes the code represented by this object to the given output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InnerClassesEntry

    public InnerClassesEntry(ConstantPool cp)

  Creates a new entry

Method Detail

### write

    public void write(java.io.DataOutputStream out)
               throws java.io.IOException

  Writes the code represented by this object to the given output stream.

### setInnerClassInfo

    public void setInnerClassInfo(java.lang.String cname)

  Sets the inner class info
  Parameters:
    `cname` - the inner class name

### setOuterClassInfo

    public void setOuterClassInfo(java.lang.String cname)

  Sets the outer class info
  Parameters:
    `cname` - the outer class name

### setInnerName

    public void setInnerName(java.lang.String name)

  Sets the inner class name
  Parameters:
    `the` - name of the inner class

### setInnerClassAccessFlags

    public void setInnerClassAccessFlags(short af)

  Parameters:
    `af` - the access flags

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.